/*
 * $Id: srf08.h,v 1.1 2003/11/15 22:42:54 bsd Exp $
 *
 */

#ifndef __srf08_h__
#define __srf08_h__

#include <inttypes.h>

#define SRF08_COMMAND 0x00

#define RANGE_IN 0x50
#define RANGE_CM 0x51
#define RANGE_US 0x52

#define CHANGEADDR1 0xA0	//1st in sequence to change I2C address
#define CHANGEADDR2 0xAA	//3rd in sequence to change I2C address
#define CHANGEADDR3 0xA5	//2nd in sequence to change I2C address


ISR(TIMER0_COMP_vect);
//ISR(TIMER0_OVF_vect);

void srf08_init(void);

int8_t srf08_ping(uint8_t device, uint8_t cmd);

int8_t srf08_range(uint8_t device, uint8_t echo, uint16_t * range);

int8_t srf08_setaddr(uint8_t oldaddr, uint8_t newaddr);

#endif
