/*

*/

#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#include "pwm_motor_driver.h"
#include "ls7366_quad_driver.h"
#include "can_motor_driver.h"
#include "rs232serial.h"

#include "at90can128_driver.h"
#include "adc_converter_can128.h"


#define F_CPU 16000000

int init_can_motor_pwm ( void ){
	init_pwm_motor();
	init_can();
	init_ls7366_quad_driver();
	init_adc();
	
	
	DDRC = 0xFF;
	PORTC = 0xFA;

	
	return 0;
}


int main ( void ){
	DDRA = 0xFF;

	init_can_motor_pwm();
	sei();
	USART_Init(25,50);
	fdevopen(USART_Transmit, 0);


	motor_direction(FW);
	motor_brake(OFF);
	set_ds_motor(0x00);
//	send_can_message_2();
	while(1){
	
	//_delay_ms(255);
	//_delay_ms(255);

	//send_can_message();


	
	}
	
	return 0;
}




