/*
** ** ** ** ** **  Begin header  ** ** ** ** ** ** **
**
** Project : Byggelab i faget TTK4155 Industrielle Datasystemers Konstruksjon 2005
** Filename : rs232serial.h
** Version : 1
** Date : 23.11.2005
**
** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** **
**
** Copyright (c) 2005, Kristian M. Knausgrd, Gunnar Kjemphol
** All rights reserved.
**
** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** **

VERSION LOG:
-----------
Version: 1
Date: 23.11.2005
Authors: Kristian M. Knausgrd, Gunnar Kjemphol
Coauthors: <none>
Description : Original version.
Target platform: ATMega128

FILE FUNCTIONALITY DESCRIPTION:
-----------

RS232 driver for ATMEGA128 using uart

** ** ** ** ** ** ** End header ** ** ** ** ** ** ** **
*/


void USART_Init(unsigned int baud, unsigned int receive_buffer_size);

void USART_Transmit(unsigned char data);

unsigned char USART_Receive(void);

