#ifndef _CONFIG_H
#define _CONFIG_H

// Startup configurations
#define DELAY_STARTUP_FOR_SEC 2 // Delay at startup.

// ** Engineering configuration **
#define TARGET_FREQ 16000000l // This is defined in the Makefile as well...
#define ATMEGA128_BAUD(baud_rate) (TARGET_FREQ / (16 * (baud_rate))) - 1


// ** Debug configuration **
#define BAUD_RATE_DEBUG 57600
#define DEBUG_PRINTF 1
#define DEBUG_ON 1

// ** CANbus configuration **
// CAN LIB MCU LIB CONFIGURATION
#define FOSC           16000        // 8.000 MHz External cristal
// CAN LIB CONFIGURATION
#define CAN_BAUDRATE   500        // in kBit

#endif

