#ifndef WAYPOINT_H
#define WAYPOINT_H

typedef struct los_waypoint {
	short id;
	int tag;
	double x_l;
	double y_l;
	double psi_l;
	double circle_of_acceptance;
};


struct robot_state_3dof {
	// Position & heading (Local/TABLE)
	//CoordLocal position;
	//AngleEuler heading;
	double x_l;
	double y_l;
	// Linear velocity (BODY)
	double u_b;
	double v_b;
	//double *v = &vx;	// Maybe this can work?
	// Force (BODY)
	//double X_b;
	//double Y_b;
	// Euler angle (TABLE)
	double psi_l;
	// Ang. velocity (BODY)
	double r_b;
	// Ang. moment (BODY) -- could be useful w/pitch to avoid flipover
	//double N_b;
};



struct posix_robot_state_3dof {
	short x_l;
	short y_l;
	short u_b;
	float psi_l;
	float r_b;
};


#endif
