#include "cxcore.h"
#include "cv.h"

#include <iostream>
#include <cstdlib>
#include "highgui.h"
#include <signal.h>

using namespace std;
CvCapture *cam;
IplImage *im =0;
IplImage *canny =0;
IplImage *grey =0;
void doStuff(int h)
{
}
const char *window = "bilde";
const char *window2 = "SLIDER";
void shutDownCamera(){
	
	cvReleaseCapture( &cam);
	cvDestroyWindow("window");
}

int initCamera(){
	printf("starting camera \r\n");
	
	CvSize size;
	cam = cvCaptureFromCAM(1);
	im = cvQueryFrame(cam);
	size=cvGetSize(im);
	grey = cvCreateImage( cvGetSize(im), 8, 1 );
	canny = cvCreateImage( cvGetSize(im), 8, 1 );
	cvNamedWindow(window, CV_WINDOW_AUTOSIZE);
return 1;
}


int running=1;
// first, here is the signal handler 
void catch_int(int sig_num)
{
	// re-set the signal handler again to catch_int, for next time 
	signal(SIGINT, catch_int);
	running=0;
	// and print the message 
	fflush(stdout);
	printf("Stopping\r\n");
	running=0;
}
void catch_hup(int sig_num){
	// re-set the signal handler again to catch_int, for next time 
	signal(SIGHUP, catch_hup);
}

int main(int argc, char *argv[])
{
	int thresh=100;
	cvNamedWindow("SLIDER", 1);
	cvCreateTrackbar( "Cannytresh 1", "SLIDER", &thresh, 1000,doStuff);
	
	// set the INT (Ctrl-C) signal handler to 'catch_int' 
	signal(SIGINT, catch_int);
	signal(SIGHUP, catch_hup);

 	int c;
	if(initCamera()==0){
	 	printf("kunne ikke initialisere kameraet");
		return 0;
	}

	while(running){
		im = cvQueryFrame(cam);
		//cvShowImage(window, im);
		cvCvtColor(im, grey, CV_BGR2GRAY);
		cvCanny(grey, canny,thresh/2,thresh);
		cvShowImage(window,canny);
		usleep(50000);
		c = cvWaitKey(10);
		
		if( (char)c == 'x' ) running=0;
		if( (char)c == 't' ) cvSaveImage("image.png",im);
	}

	shutDownCamera();

  	return 0;
}





