#include <stdio.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/msg.h>
#include <errno.h>
struct PosixMessage
{
	int	id;
	int length;
	byte[] data;
};
#define MSGKEY 4570                                                 // chosen for this program example
int main(int argc, char *argv[])
{
MSG buf;
int qid, ivalue;
float fvalue;
   if ((qid=msgget(MSGKEY, IPC_CREAT | 0666)) < 0)
   {
          cout << “error: “ << errno << endl;
   }
   if (*argv[1] == ‘s’)                                             // client
   {
          buf.x=10.12;
          buf.y=3;
          cout << “sending...” << endl;
          buf.msgtype = 1;
          msgsnd (qid, &buf, sizeof(MSG), 0);
   }
   else                                                              // server
   {
          cout << “receiving...” << endl;
          msgrcv (qid, &buf, 32, 0, 0);
          cout << “buf: “ << buf.msgtype << buf.x << buf.y << endl;
   }
   return 0;
}
