/*
** ** ** ** ** **  Begin header  ** ** ** ** ** ** **
**
** Project : Byggelab i faget TTK4155 Industrielle Datasystemers Konstruksjon 2005
** Filename : I2C_driver.h
** Version : 1
** Date : 23.11.2005
**
** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** **
**
** Copyright (c) 2005, Kristian M. Knausgrd, Gunnar Kjemphol
** All rights reserved.
**
** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** **

VERSION LOG:
-----------
Version: 1
Date: 23.11.2005
Authors: Kristian M. Knausgrd, Gunnar Kjemphol
Coauthors: <none>
Description : Original version.
Target platform: ATMega128

FILE FUNCTIONALITY DESCRIPTION:
-----------

I2C driver for ATMEGA128

** ** ** ** ** ** ** End header ** ** ** ** ** ** ** **
*/


void i2c_init(void);

uint8_t i2c_send(uint8_t receipient_address, char *data, int data_length);

void i2c_receive(uint8_t receipient_address, char *data, int data_length);

uint8_t i2c_receive_one(uint8_t receipient_address);

