
#define CONMOB_DISABLE 0x00
#define CONMOB_ENABLE_TRANS (1 << CONMOB0)
#define CONMOB_ENABLE_RESEP (1 << CONMOB1)
#define CONMOB_ENABLE_FRAMEBUF_RESEP ((1 << CONMOB1)|(1 << CONMOB0))

#define NUM_BYTES_DATA 8 // Number of data in the data field

typedef struct can_message can_message;
struct can_message {
	unsigned short id;
	unsigned char length;
	
	union {
		char bytes[8];
		int positions[2];
		int button_id;
		
		// Flere datatyper kan defineres her, men max 8 bytes med plass kan brukes.	
	};
};



int init_can( void );
//int send_can_message( can_message *can_message_1 );
int send_can_message( void );
int send_can_message_2( void );
