#include <util\delay.h>
#include <avr\io.h>
#include <avr\interrupt.h>

#define set_bit( reg, bit ) (reg |= (1 << bit))
#define clear_bit( reg, bit ) (reg &= ~(1 << bit))
#define test_bit( reg, bit ) (reg & (1 << bit))

int USART_Send(char data, char *stream);
void USART_Init(unsigned int baud);
void USART_Transmit( unsigned char data );
unsigned char USART_Receive( void );
unsigned char USART_Receive( void );
