#ifndef PROXY_COMMANDS_H
#define PROXY_COMMANDS_H

//****************************************************************************
// Gunnar Kjemphol
// Eurobot 2007
//
//****************************************************************************

// INCLUDES
#include <pthread.h>
#include <cstdio>
#include <cstdlib>
#include <cerrno>
#include <ctype.h>
#include <unistd.h>   // exit
#include <signal.h>
#include <string.h>
#include <stdlib.h>
#include <fcntl.h>    // O_RDWR

#include <libpcan.h>
#include <pcan.h>

#include "can_bus.h"
#include "gatewayConfig.h"
#include "posix_message_config.h"
#include "MessageHandler.h"
#include "observation_structs.h"
#include "common.h"

void gatewayReceiveCommands(pmq_message *pm);
void gatewayReceiveCommand(pmq_message *pm);
int gatewayInitTimeMessage( MessageHandler *plansysMessageHandler );
int gatewaySendCommand(MessageHandler *sysMessageHandler, int minor, int priority);
int gatewayLowBattery(MessageHandler *plansysMessageHandler);
#endif


