#ifndef WAYPOINTS_H
#define WAYPOINTS_H

#include "observation_structs.h"

#define NUMBER_OF_WAYPOINTS 19

#define ZERO_WAYPOINT				0
#define RED_DISPENSER_WAYPOINT			1
#define BLUE_DISPENSER_WAYPOINT			2
#define RED_WHITE_DISPENSER_WAYPOINT		3
#define BLUE_WHITE_DISPENSER_WAYPOINT		4
#define HORIZONTAL_DISPENSER_LEFT_WAYPOINT	5
#define HORIZONTAL_DISPENSER_RIGHT_WAYPOINT	6
#define STANDARD_CONTAINER_RED_WAYPOINT		7
#define STANDARD_CONTAINER_BLUE_WAYPOINT	8
#define COOLED_CONTAINER_RED_WAYPOINT		9
#define COOLED_CONTAINER_BLUE_WAYPOINT		10
#define FIRST_RED_BALL_WAYPOINT			11
#define FIRST_BLUE_BALL_WAYPOINT		12
#define FIRST_WHITE_BALL_RED_WAYPOINT		13
#define FIRST_WHITE_BALL_BLUE_WAYPOINT		14

#define BLUE_WHITE_DISPENSER_SUPPORT_WAYPOINT	15
#define BLUE_DISPENSER_SUPPORT_WAYPOINT		16
#define RED_WHITE_DISPENSER_SUPPORT_WAYPOINT	17
#define RED_DISPENSER_SUPPORT_WAYPOINT		18

void initWaypoints();
ai_waypoint GetWaypoint(int waypoint);

#endif
