#ifndef PROXY_MOTOR_CONTROL_H
#define PROXY_MOTOR_CONTROL_H

//****************************************************************************
// Gunnar Kjemphol
// Eurobot 2007
//
//****************************************************************************

// INCLUDES
#include <pthread.h>
#include <cstdio>
#include <cstdlib>
#include <cerrno>
#include <ctype.h>
#include <unistd.h>   // exit
#include <signal.h>
#include <string.h>
#include <stdlib.h>
#include <fcntl.h>    // O_RDWR

#include <libpcan.h>
#include <pcan.h>

#include <math.h>

#include "main.h"
//#include "Proxy.h"
#include "proxyconfig.h"
#include "posix_message_config.h"
#include "MessageHandler.h"
#include "posix_message_queue.h"
#include "can_bus.h"
#include "observation_structs.h"
#include "common.h"


int quad_init();

void proxyReceiveMotorControl(pmq_message *pm);

int proxyRightReturnQuad(__u8 *mdata, MessageHandler *navsysMessageHandler);
int proxyLeftReturnQuad(__u8 *mdata, MessageHandler *navsysMessageHandler);
int proxyReturnDualQuad(__u8 *mdata, MessageHandler *navsysMessageHandler);

#endif


