#ifndef INTERFACE_H
#define INTERFACE_H

#include "posix_message_queue.h"
#include "MessageHandler.h"
#include "observation_structs.h"
#include "waypoint.h"

//MessageHandler *plansysMessageHandler;

void initMessageHandlers();

void handleCommands(pmq_message *pm);

void handleWPLocalCoordinates(pmq_message *pm);
void handleWPRobotCoordinates(pmq_message *pm);
void handleOdometryMessage(pmq_message *pm);
void handleSetSpeedLimit(pmq_message *pm);
void handleSetSpeed(pmq_message *pm);
void handleSetPosition(pmq_message *pm);

#endif
