#ifndef BALLS_H
#define BALLS_H

#include "Observer.h"
#include "planner.h"

class Balls {
  public:
	Balls();
	void InitializeBalls();
	void RemoveBall(int typeOfBall, int numberOfBalls);
	int GetNumberOfBalls(int typeOfBall);
	void AddRobotBalls(int typeOfBall, int numberOfBalls);
	void RemoveRobotBalls(int typeOfBall, int numberOfBalls);
	int GetNumberOfRobotBalls(int typeOfBall);
	int GetNumberOfWhiteBallsToPickUp();
	int GetLastBallColor();
	int GetExtraBall(int color);
	void SetLastBallColor(int lastColor);
	void SetExtraBall(int color, int numberOfBalls);

  private:
	int redBalls;
	int blueBalls;
	int redWhiteBalls;
	int blueWhiteBalls;
	int whiteRobotBalls;
	int redBlueRobotBalls;
	int lastBallColor;

	int extraColoredBall;
	int extraWhiteBall;
};

#endif
