#include "Observer.h"
#include "observations.h"

Observer::Observer( ){
	teamColor = -1;
}
Observer::~Observer(){

}

void Subject::Attach( Observer* o){
	_observers.push_back(o);
}

void Subject::Detach( Observer* o){
	int count = _observers.size();
	int i;
	
	for(i = 0; i < count; i++){
		if( _observers[i] == 0 ) {
			break;
		}
	}
	if( i < count ){
		_observers.erase(_observers.begin() + i); 
	}
}

void Subject::Notify (int typeOfObservation) {
	int count = _observers.size();
	int i;
	usleep(5000);
	for(i = 0; i < count; i++){
		(_observers[i])->Update(typeOfObservation);
	}
}
